Imports System.Web.UI.Design
Imports System.ComponentModel.Design

Public Class TestControlDesigner
    Inherits ControlDesigner

    Public Overrides ReadOnly Property ActionLists() _
            As DesignerActionListCollection
        Get
            Dim lists As New DesignerActionListCollection()
            lists.AddRange(MyBase.ActionLists)
            lists.Add(New TestControlList(Me))
            Return lists
        End Get
    End Property

    Private NotInheritable Class TestControlList
        Inherits DesignerActionList

        Public Sub New(ByVal c As TestControlDesigner)
            MyBase.New(c.Component)
        End Sub

        Public Overrides Function GetSortedActionItems() _
                As DesignerActionItemCollection

            Dim c As New DesignerActionItemCollection()
            c.Add(New DesignerActionTextItem("FOO", "FOO"))
            Return c
        End Function
    End Class

End Class
